> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/developer-guide/limit-order-api/api-reference/general-api.md).

# General API

## General

### Get Supported Pairs

`GET /read-partner/api/v1/orders/pairs`

Returns all token pairs for which active limit orders exist on the specified chain.

## Get Chain Supported Pairs

> Please refer to \[Supported Exchanges And Networks]\(<https://docs.kyberswap.com/getting-started/supported-exchanges-and-networks>) for full list of supported networks.

```json
{"openapi":"3.0.3","info":{"title":"KyberSwap Limit Order APIs","version":"1.2.0"},"servers":[{"url":"https://limit-order.kyberswap.com"}],"paths":{"/read-partner/api/v1/orders/pairs":{"get":{"summary":"Get Chain Supported Pairs","tags":["General"],"operationId":"get-read-partner-api-v1-orders-pairs","description":"Please refer to [Supported Exchanges And Networks](https://docs.kyberswap.com/getting-started/supported-exchanges-and-networks) for full list of supported networks.","parameters":[{"schema":{"type":"string"},"in":"query","name":"chainId","description":"The chainId of the network to query.","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","required":["code","message","data"],"properties":{"code":{"type":"integer","description":"The response code."},"message":{"type":"string","description":"Server response message."},"data":{"type":"object","required":["pairs"],"properties":{"pairs":{"type":"array","description":"The supported token pairs.","items":{"type":"object","required":["makerAsset","takerAsset"],"properties":{"makerAsset":{"type":"string","description":"The token address of the asset which the Maker is selling."},"takerAsset":{"type":"string","description":"The token address of the asset which the Maker expects in return."}}}}}}}}}}},"400":{"description":"Bad Request\n- Missing required field\n- chainId is not supported","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"code":{"type":"integer","description":"Error code"},"message":{"type":"string","description":"Error message"},"errorEntities":{"type":"array","items":{"type":"string"}}},"required":["code","message","errorEntities"]}}}}
```

***

### Get Contract Address

`GET /read-ks/api/v1/configs/contract-address`

Returns the deployed Limit Order contract addresses for a given chain ID.

## Get Limit Order Contract Addresses

> Please refer to \[Supported Exchanges And Networks]\(<https://docs.kyberswap.com/getting-started/supported-exchanges-and-networks>) for full list of supported networks.

```json
{"openapi":"3.0.3","info":{"title":"KyberSwap Limit Order APIs","version":"1.2.0"},"servers":[{"url":"https://limit-order.kyberswap.com"}],"paths":{"/read-ks/api/v1/configs/contract-address":{"get":{"summary":"Get Limit Order Contract Addresses","tags":["General"],"operationId":"get-read-ks-api-v1-configs-contract-address","description":"Please refer to [Supported Exchanges And Networks](https://docs.kyberswap.com/getting-started/supported-exchanges-and-networks) for full list of supported networks.","parameters":[{"schema":{"type":"string"},"in":"query","name":"chainId","description":"The chainId of the network to query.","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","required":["code","message","data"],"properties":{"code":{"type":"integer","description":"The response code."},"message":{"type":"string","description":"Server response message."},"data":{"type":"object","required":["latest","features"],"properties":{"latest":{"type":"string","description":"The latest limit order contract address."},"features":{"type":"object","description":"The limit order contract address.","additionalProperties":{"type":"object","required":["supportDoubleSignature"],"properties":{"supportDoubleSignature":{"type":"boolean","description":"Whether the contract supports gasless cancellations (i.e. double signature = maker signature + operator signature)."}}}}}}}}}}},"400":{"description":"Bad Request\n- Missing required field\n- chainId is not supported","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"code":{"type":"integer","description":"Error code"},"message":{"type":"string","description":"Error message"},"errorEntities":{"type":"array","items":{"type":"string"}}},"required":["code","message","errorEntities"]}}}}
```

{% hint style="info" %}
The full return object is defined in the OpenAPI YAML. GitBook has limited support for `additionalProperties`, so refer to the YAML directly for the complete schema.
{% endhint %}

For a static list of deployed addresses, see [Contracts & Addresses.](/developer-guide/limit-order-api/contracts-and-addresses.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kyberswap.com/developer-guide/limit-order-api/api-reference/general-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
